## synfig 0.61.06

=== src/synfig/proto/Makefile ===

M4=m4

PROTO_PP=$(M4) proto.m4

FILES=nodebase.h

all: $(FILES)

clean:
	$(RM) $(FILES)

SUFFIXES=.px .h

.SUFFIXES: $(SUFFIXES)

.px.h: proto.m4
	$(PROTO_PP) $< > $@

## synfig 0.63.05

=== debian/changelog ===
synfig (0.63.05-1) unstable; urgency=low

  * New maintainers (Closes: #665042)
  * New upstream release.
  * imported latest QA changes
  * Packaging update
    + to straight debhelper + dh-autoreconf
    + compat & debhelper to version 9
    + standards to 3.9.3
    + --as-needed to avoid needless linking
    + corrected Vcs-Browser URL
    - disable --with-libavcodec (fixes FTBFS)
    + build-deps recalculated
    + libsynfig-dev deps recalculated
    - removed *.la *.a from libsynfig-dev.install
    + set d-multimedia as Maintainer

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 12 May 2012 16:55:50 +1000

synfig (0.62.00-2) unstable; urgency=low

  * Bump dependencies on libsynfig0 to avoid self-induced uninstallability

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 24 Jan 2010 10:45:11 +0100

synfig (0.62.00-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Upgrade to a non-vulnerable version of ltdl and link against system
    library libltdl3; add build-dep on libltdl3-dev and force configure to
    use system library. Fix for CVE-2009-3736. (Closes: #559829)
  * Bump dep on etl-dev to >= 0.04.13 (needed since this version)
  * Bump standards-version to 3.8.3 (no changes needed)
  * Ship libsynfig.a, which was not installed before (not even by upstream)
  * Set section for package synfig-dbg to "debug" (thanks, lintian)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 24 Jan 2010 00:01:27 +0100

synfig (0.61.09-3) unstable; urgency=low

  * QA upload.
  * Change maintainer to Debian QA Group and remove all uploaders, see #538964
  * Add #include <cstdio> to src/synfig/time.cpp to fix FTBFS with gcc 4.4
    (Closes: #504949)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 06 Sep 2009 11:50:36 -0400

synfig (0.61.09-2) unstable; urgency=low

  * Upload to unstable after the lenny freeze
  * Will build against the new FFmpeg APIs (Closes: #487639)
    - build-dep on libswscale-dev
  * Improve the libsynfig0 short description (Closes: #493626)
  * Don't recompress .sifz files in synfig-examples (Closes: #506894)
  * Switch to debhelper compat level 7
  * Switch from dh_clean -k to dh_prep
  * Link to the correct versions of the GPL/LGPL
  * Remove execute permission from sifz files
  * Add ${misc:Depends} to the dependencies

 -- Paul Wise <pabs@debian.org>  Wed, 25 Feb 2009 03:30:54 +0900

synfig (0.61.09-1) experimental; urgency=low

  [ Paul Wise ]
  * New upstream release
    - drop merged fix-upstream-1877061-avformat-52-FTBFS.patch
      - drop quilt build-dep, no longer needed
    - bump the etl-dev build-depends
  * Drop upstream ChangeLog since it was empty for this release
  * Wrap the uploaders, depends, suggests and build-deps fields
  * Support parallel builds
  * Now compliant with policy 3.8.0
  * libsynfig-dev depends on etl-dev should be versioned

  [ Cyril Brulebois ]
  * Fix FTBFS with new “3.0 (quilt)” source package format by using a
    strip level of 1 instead of 0 for the following patch, and by removing
    the “-p0” option from the series file. Thanks to Raphaël Hertzog for
    the notice (Closes: #485259).
     - fix-upstream-1877061-avformat-52-FTBFS.patch
  * Update my mail address.

 -- Paul Wise <pabs@debian.org>  Sun, 16 Nov 2008 15:36:08 +0900

synfig (0.61.08-3) unstable; urgency=low

  * Fix FTBFS with libavformat-dev version 52
  * Make the build process safe for parallel building

 -- Paul Wise <pabs@debian.org>  Wed, 21 May 2008 17:48:30 +0800

synfig (0.61.08-2) unstable; urgency=low

  * Brown paper bag release
  * Make synfig-examples conflicts/replace libsynfig-doc
  * Make the shlibs more restrictive to prevent symbols problems

 -- Paul Wise <pabs@debian.org>  Thu, 13 Mar 2008 19:19:56 +0900

synfig (0.61.08-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/libsynfig0.install:
     - Add “usr/share/locale”, since upstream now ships locales.
  * debian/control:
     - Move the homepage from “synfig.com” to “synfig.org”.
     - Bump the Build-Depends on etl-dev from 0.04.10~rc3 to 0.04.11.
     - Update the “Depends:” line of synfig-dbg, from “libsynfig0” to
       “libsynfig0 | synfig” (both with ${binary:Version}) since this
       package contains the debugging symbols for both packages.
     - Bump Standards-Version from 3.7.2 to 3.7.3 (no changes needed).
  * debian/rules:
     - Remove “DH_COMPAT=4” before the dh_clean call, no reason to have
       that.
     - Copy config.{guess,sub} from /usr/share/misc in the config.status
       target, remove them in the clean target, and no longer keep a copy
       of the original ones.

  [ Paul Wise ]
  * Drop the doxygen documentation package and move the examples to a new
    synfig-examples package.
  * Build-depend on libmagick++9-dev for the new output target that can
    create optimised GIFs
  * Build-depend on libmng-dev for the MNG output target
  * Improve the manual page a bit; remove duplicate options, add new ones
  * Avoid running the configure script twice when building

 -- Paul Wise <pabs@debian.org>  Tue, 11 Mar 2008 02:21:44 +0900

synfig (0.61.07-1) unstable; urgency=low

  * New upstream release.
  * synfig-dbg should be extra (like ftpmaster overrides)

 -- Paul Wise <pabs@debian.org>  Thu, 11 Oct 2007 11:48:33 +1000

synfig (0.61.07~rc3-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/control:
     - Rename XS-Vcs-* to Vcs-*, update Vcs-Browser to point to the log of the
       trunk.
     - Add a Homepage field.
     - Bump the versioned Build-Depends on etl-dev to the latest release,
       from 0.04.09 to 0.04.10~rc3.
  * debian/patches:
     - Drop amd64-fix-import, merged upstream.
     - Drop fix-empty-pastecanvas.patch, merged upstream as well.
     - Empty series file, and patch system, kept around, until some other
       patches are needed.

  [ Paul Wise ]
  * Fix crashes with empty PasteCanvas layers (closes upstream 1356449)


=== debian/control ===
Source: synfig
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>, Denis Washington <denisw@online.de>,
Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint,
 binutils, etl-dev (>= 0.04.14), libavcodec-dev, libavformat-dev,
 libfontconfig1-dev, libfreetype6-dev, libjpeg8-dev, libltdl-dev,
 libmng-dev, libmagick++-dev, libopenexr-dev, libpng-dev,
 libsigc++-2.0-dev, libswscale-dev, libtiff4-dev, libxml++2.6-dev,
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-synfig.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfig.git
Homepage: http://www.synfig.org/

Package: synfig
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: synfigstudio,
 synfig-examples
Description: vector-based 2D animation renderer
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the command-line renderer, for the GUI animation
 editor, please install synfigstudio.

Package: libsynfig0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libdv-bin,
 ffmpeg,
 imagemagick
Description: render library and plugins for synfig 2D animation
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the shared library and plugin modules for it.

Package: libsynfig-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsynfig0 (= ${binary:Version}),
 etl-dev (>= 0.04.13), libxml++2.6-dev, libsigc++-2.0-dev
Suggests: synfig-dbg
Description: synfig library development files
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains headers and other files needed to develop
 applications using the shared library and plugin modules.

Package: synfig-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libsynfig0 (= ${binary:Version}) | synfig (= ${binary:Version})
Suggests: libsynfig-dev
Description: synfig debugging symbols
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains debugging symbols for libsynfig0 and synfig.

Package: synfig-examples
Architecture: all
Suggests: synfigstudio
Conflicts: libsynfig-doc
Replaces: libsynfig-doc
Depends: ${misc:Depends}
Description: synfig animation examples
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains several examples of synfig animations and stills.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# reduce needless linking
LDFLAGS+= -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
			--sysconfdir=/etc/synfig \
			--enable-debug=half \
			--with-imagemagick \
			--without-included-ltdl
#			--with-libavcodec
#			--mandir=\$${prefix}/share/man \

override_dh_auto_install:
	chmod a-x examples/*.sifz
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_compress:
	dh_compress --exclude=.sifz

override_dh_strip:
	dh_strip --dbg-package=synfig-dbg

=== debian/watch ===
version=3
http://sf.net/synfig/synfig-([-0-9.]*)\.tar\.gz

## synfig 0.64.0

=== debian/changelog ===
synfig (0.64.0-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 15 May 2013 15:06:28 -0400

synfig (0.64.0-1) unstable; urgency=low

  * New upstream release [May 2013].
  * New Build-Depends:
    + libboost-all-dev
    + libcairo-dev
    + libpango1.0-dev
  * Standards to 3.9.4.
  * xz compression for source and binary packages.
  * Minor debian/watch update.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 May 2013 02:09:07 +1000

synfig (0.63.05-1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather that libtiff4-dev.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 07 Oct 2012 21:38:22 +0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,30 @@
 Source: synfig
 Section: graphics
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>, Denis Washington <denisw@online.de>,
-Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint,
- binutils, etl-dev (>= 0.04.14), libavcodec-dev, libavformat-dev,
- libfontconfig1-dev, libfreetype6-dev, libjpeg8-dev, libltdl-dev,
- libmng-dev, libmagick++-dev, libopenexr-dev, libpng-dev,
- libsigc++-2.0-dev, libswscale-dev, libtiff4-dev, libxml++2.6-dev,
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Denis Washington <denisw@online.de>
+Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint
+ ,binutils
+ ,etl-dev (>= 0.04.16)
+ ,libavcodec-dev
+ ,libavformat-dev
+ ,libboost-all-dev
+ ,libcairo-dev
+ ,libfontconfig1-dev
+ ,libfreetype6-dev
+ ,libjpeg8-dev
+ ,libltdl-dev
+ ,libmng-dev
+ ,libmagick++-dev
+ ,libopenexr-dev
+ ,libpango1.0-dev
+ ,libpng-dev
+ ,libsigc++-2.0-dev
+ ,libswscale-dev
+ ,libtiff-dev
+ ,libxml++2.6-dev
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-synfig.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfig.git
 Homepage: http://www.synfig.org/
@@ -45,7 +61,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libsynfig0 (= ${binary:Version}),
- etl-dev (>= 0.04.13), libxml++2.6-dev, libsigc++-2.0-dev
+ etl-dev (>= 0.04.16), libxml++2.6-dev, libsigc++-2.0-dev
 Suggests: synfig-dbg
 Description: synfig library development files
  synfig is a vector based 2D animation package. It is designed to be

=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=synfig-dbg
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

## synfig 0.64.1

=== debian/changelog ===
synfig (0.64.1-2build1) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Apr 2014 20:34:09 +0100

synfig (0.64.1-2) unstable; urgency=medium

  * Build using "--with-boost-libdir" to fix FTBFS with multi-arch Boost
    (Closes: #738379).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Feb 2014 21:05:10 +1100

synfig (0.64.1-1) unstable; urgency=low

  * New upstream release [November 2013].
  * Standards to 3.9.5.
  * Build-Depends on new "etl-dev (>= 0.04.17)".
  * As per his request removed Denis Washington from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Nov 2013 13:56:42 +1100

synfig (0.64.0-4) unstable; urgency=low

  * Switch to virtual packages in Build-Depends (Closes: #722938)
    + libjpeg8-dev --> libjpeg-dev
    + libtiff4-dev --> libtiff-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Sep 2013 09:18:41 +1000

synfig (0.64.0-3) unstable; urgency=low

  * Dropped .symbols since they are not useful for C++ libraries.
  * Added new patch to skip "mod_ffmpeg"; thanks Sebastian Ramacher.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Sep 2013 03:14:11 +1000

synfig (0.64.0-2) unstable; urgency=low

  * Commented unused libav Build-Depends (Closes: #721105).
  * Replaced unused "ffmpeg" with commented "libav-tools" in Depends
    of libsynfig0 (Closes: #721106).
  * Introduced .symbols and shlibs tightening (dh_makeshlibs -V).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Sep 2013 20:24:30 +1000

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+			--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 			--sysconfdir=/etc/synfig \
 			--enable-debug=half \
 			--with-imagemagick \
@@ -25,6 +26,9 @@
 	chmod a-x examples/*.sifz
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
 
+override_dh_makeshlibs:
+	dh_makeshlibs -V
+
 override_dh_compress:
 	dh_compress --exclude=.sifz

## synfig 0.64.2

=== debian/changelog ===
synfig (0.64.2-2) unstable; urgency=medium

  * New "hurd-path_max.patch" to fix FTBFS on GNU Hurd.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Nov 2014 11:35:00 +1100

synfig (0.64.2-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Added "debian/gbp.conf".
  * Standards-Version: 3.9.6.
  * Breaks: synfigstudio (<< 0.64.2).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Oct 2014 23:09:19 +1100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: synfig
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Denis Washington <denisw@online.de>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint
  ,binutils
- ,etl-dev (>= 0.04.16)
- ,libavcodec-dev
- ,libavformat-dev
+ ,etl-dev (>= 0.04.17)
+# ,libavcodec-dev
+# ,libavformat-dev
  ,libboost-all-dev
  ,libcairo-dev
  ,libfontconfig1-dev
  ,libfreetype6-dev
- ,libjpeg8-dev
+ ,libjpeg-dev
  ,libltdl-dev
  ,libmng-dev
  ,libmagick++-dev
@@ -21,10 +20,10 @@
  ,libpango1.0-dev
  ,libpng-dev
  ,libsigc++-2.0-dev
- ,libswscale-dev
+# ,libswscale-dev
  ,libtiff-dev
  ,libxml++2.6-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-synfig.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-synfig.git
 Homepage: http://www.synfig.org/
@@ -49,8 +48,9 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libdv-bin,
- ffmpeg,
+# libav-tools,
  imagemagick
+Breaks: synfigstudio (<< 0.64.2)
 Description: render library and plugins for synfig 2D animation
  synfig is a vector based 2D animation package. It is designed to be
  capable of producing feature-film quality animation.

## synfig 1.0

=== debian/changelog ===
synfig (1.0-2) unstable; urgency=medium

  * Team upload.
  * Rename libsynfig0 to libsynfig0v5 for the GCC 5 transition. (Closes:
    #797994)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Sep 2015 20:03:32 +0200

synfig (1.0-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Build-Depends:
    - etl-dev (>= 0.04.17)
    + etl-dev (>= 0.04.18)
    + libmlt-dev
    + libmlt++-dev
  * Dropped obsolete "hurd-path_max.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 09:33:13 +1000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint
  ,binutils
- ,etl-dev (>= 0.04.17)
+ ,etl-dev (>= 0.04.18)
 # ,libavcodec-dev
 # ,libavformat-dev
  ,libboost-all-dev
@@ -16,6 +16,8 @@
  ,libltdl-dev
  ,libmng-dev
  ,libmagick++-dev
+ ,libmlt-dev
+ ,libmlt++-dev
  ,libopenexr-dev
  ,libpango1.0-dev
  ,libpng-dev
@@ -41,7 +43,7 @@
  This package contains the command-line renderer, for the GUI animation
  editor, please install synfigstudio.
 
-Package: libsynfig0
+Package: libsynfig0v5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -51,6 +53,8 @@
 # libav-tools,
  imagemagick
 Breaks: synfigstudio (<< 0.64.2)
+Conflicts: libsynfig0
+Replaces: libsynfig0
 Description: render library and plugins for synfig 2D animation
  synfig is a vector based 2D animation package. It is designed to be
  capable of producing feature-film quality animation.
@@ -60,7 +64,7 @@
 Package: libsynfig-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libsynfig0 (= ${binary:Version}),
+Depends: ${misc:Depends}, libsynfig0v5 (= ${binary:Version}),
  etl-dev (>= 0.04.16), libxml++2.6-dev, libsigc++-2.0-dev
 Suggests: synfig-dbg
 Description: synfig library development files
@@ -75,7 +79,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends},
- libsynfig0 (= ${binary:Version}) | synfig (= ${binary:Version})
+ libsynfig0v5 (= ${binary:Version}) | synfig (= ${binary:Version})
 Suggests: libsynfig-dev
 Description: synfig debugging symbols
  synfig is a vector based 2D animation package. It is designed to be

## synfig 1.0.2

=== debian/changelog ===
synfig (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    - etl-dev (>= 0.04.18)
    + etl-dev (>= 0.04.19)
  * Disabled "no-mod_ffmpeg.patch".
  * New "c++11.patch" to fix FTBFS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Nov 2015 20:57:05 +1100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint
  ,binutils
- ,etl-dev (>= 0.04.18)
+ ,etl-dev (>= 0.04.19)
 # ,libavcodec-dev
 # ,libavformat-dev
  ,libboost-all-dev

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 override_dh_auto_install:
 	chmod a-x examples/*.sifz
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
+	## W:unknown-locale-code zh-Hant:
+	$(RM) -rv $(CURDIR)/debian/tmp/usr/share/locale/zh-Hant
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V

## synfig 1.2.1

=== debian/changelog ===
synfig (1.2.1-0ubuntu4) bionic; urgency=medium

  * Fix remaining reference to libsynfig0v5 in deps of synfig-dbg.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Apr 2018 13:10:44 -0700

synfig (1.2.1-0ubuntu3) bionic; urgency=medium

  * Build-depend on intltool and libfftw3-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Apr 2018 15:54:14 +0200

synfig (1.2.1-0ubuntu1) bionic; urgency=medium

  * New upstream version.
  * Rename back libsynfig0v5 to libsynfig0. Upstream symbol version changes
    without bumping the soname.
  * Update (build) dependency on etl-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Apr 2018 14:00:30 +0200

synfig (1.0.2-1build6) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 16:41:37 +0000

synfig (1.0.2-1build5) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2017 13:35:56 +0100

synfig (1.0.2-1build4) zesty; urgency=medium

  * No-change rebuild against latest imagemagick

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Dec 2016 21:10:11 -0500

synfig (1.0.2-1build3) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:06:42 +0000

synfig (1.0.2-1build2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:03:47 +0000

synfig (1.0.2-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:26:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: synfig
 Section: graphics
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint
+Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool
  ,binutils
- ,etl-dev (>= 0.04.19)
+ ,etl-dev (>= 1.2.1)
 # ,libavcodec-dev
 # ,libavformat-dev
  ,libboost-all-dev
  ,libcairo-dev
+ ,libfftw3-dev
  ,libfontconfig1-dev
  ,libfreetype6-dev
  ,libjpeg-dev
@@ -43,7 +45,7 @@
  This package contains the command-line renderer, for the GUI animation
  editor, please install synfigstudio.
 
-Package: libsynfig0v5
+Package: libsynfig0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,8 +55,8 @@
 # libav-tools,
  imagemagick
 Breaks: synfigstudio (<< 0.64.2)
-Conflicts: libsynfig0
-Replaces: libsynfig0
+Conflicts: libsynfig0v5
+Replaces: libsynfig0v5
 Description: render library and plugins for synfig 2D animation
  synfig is a vector based 2D animation package. It is designed to be
  capable of producing feature-film quality animation.
@@ -64,8 +66,8 @@
 Package: libsynfig-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libsynfig0v5 (= ${binary:Version}),
- etl-dev (>= 0.04.16), libxml++2.6-dev, libsigc++-2.0-dev
+Depends: ${misc:Depends}, libsynfig0 (= ${binary:Version}),
+ etl-dev (>= 1.2.1), libxml++2.6-dev, libsigc++-2.0-dev
 Suggests: synfig-dbg
 Description: synfig library development files
  synfig is a vector based 2D animation package. It is designed to be
@@ -79,7 +81,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends},
- libsynfig0v5 (= ${binary:Version}) | synfig (= ${binary:Version})
+ libsynfig0 (= ${binary:Version}) | synfig (= ${binary:Version})
 Suggests: libsynfig-dev
 Description: synfig debugging symbols
  synfig is a vector based 2D animation package. It is designed to be

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 %:
 	dh $@ --parallel --with autoreconf
 
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+#override_dh_autoreconf:
+#	dh_autoreconf --as-needed
+	dh_autoreconf
+	intltoolize --force --copy
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## synfig 1.2.2

=== debian/changelog ===
synfig (1.2.2-1) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * New reproducible buiild patch (Closes: #820072).

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.3.0.
  * debhelper & compat to version 11.
  * VCS URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Jan 2019 17:41:06 +1100

synfig (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Rename libsynfig0v5 to libsynfig0a. Upstream symbol version changes
    without bumping the soname.
  * Update (build) dependency on etl-dev. Closes: #895503.
  * Stop building the -dbg package.
  * Build-depend on intltool and libfftw3-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Apr 2018 13:09:54 +0200

=== debian/control ===
Source: synfig
Section: graphics
Priority: optional
Standards-Version: 4.3.0
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~), autopoint, intltool
 ,binutils
 ,etl-dev (>= 1.2.2)
# ,libavcodec-dev
# ,libavformat-dev
 ,libboost-all-dev
 ,libcairo-dev
 ,libfftw3-dev
 ,libfontconfig1-dev
 ,libfreetype6-dev
 ,libjpeg-dev
 ,libltdl-dev
 ,libmng-dev
 ,libmagick++-dev
 ,libmlt-dev
 ,libmlt++-dev
 ,libopenexr-dev
 ,libpango1.0-dev
 ,libpng-dev
 ,libsigc++-2.0-dev
# ,libswscale-dev
 ,libtiff-dev
 ,libxml++2.6-dev
Vcs-Browser: https://salsa.debian.org/multimedia-team/synfig
Vcs-Git: https://salsa.debian.org/multimedia-team/synfig.git
Homepage: http://www.synfig.org/

Package: synfig
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: synfigstudio,
 synfig-examples
Description: vector-based 2D animation renderer
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the command-line renderer, for the GUI animation
 editor, please install synfigstudio.

Package: libsynfig0a
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libdv-bin,
# libav-tools,
 imagemagick
Breaks: synfigstudio (<< 0.64.2)
Conflicts: libsynfig0v5, libsynfig0
Replaces: libsynfig0v5, libsynfig0
Description: render library and plugins for synfig 2D animation
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the shared library and plugin modules for it.

Package: libsynfig-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsynfig0a (= ${binary:Version}),
 etl-dev (>= 1.2.1), libxml++2.6-dev, libsigc++-2.0-dev
Description: synfig library development files
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains headers and other files needed to develop
 applications using the shared library and plugin modules.

Package: synfig-examples
Architecture: all
Suggests: synfigstudio
Conflicts: libsynfig-doc
Replaces: libsynfig-doc
Depends: ${misc:Depends}
Description: synfig animation examples
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains several examples of synfig animations and stills.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,9 @@
 LDFLAGS+= -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
-#override_dh_autoreconf:
+override_dh_autoreconf:
 #	dh_autoreconf --as-needed
 	dh_autoreconf
 	intltoolize --force --copy
@@ -35,9 +35,3 @@
 
 override_dh_compress:
 	dh_compress --exclude=.sifz
-
-override_dh_strip:
-	dh_strip --dbg-package=synfig-dbg
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz

## synfig 1.2.2%2Bdfsg

=== ETL/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ETL)

find_package(Threads)
if (CMAKE_USE_PTHREADS_INIT)
    set(HAVE_LIBPTHREAD ON)
endif()

# TODO: check for it
set(HAVE_VASPRINTF ON)

## for tests
include_directories(${CMAKE_SOURCE_DIR})

## for test to find generated etl_profile.h
include_directories(${CMAKE_CURRENT_BINARY_DIR}/ETL)

add_subdirectory(ETL)

enable_testing()
add_subdirectory(test)

=== ETL/ETL/CMakeLists.txt ===
## TODO: install headers properly

configure_file(etl_profile.h.cmake.in etl_profile.h)

set(ETL_HEADERS
        "${CMAKE_CURRENT_LIST_DIR}/rect"
        "${CMAKE_CURRENT_LIST_DIR}/calculus"
        "${CMAKE_CURRENT_LIST_DIR}/spline"
        "${CMAKE_CURRENT_LIST_DIR}/misc"
        "${CMAKE_CURRENT_LIST_DIR}/hermite"
        "${CMAKE_CURRENT_LIST_DIR}/random"
        "${CMAKE_CURRENT_LIST_DIR}/fixed"
        "${CMAKE_CURRENT_LIST_DIR}/surface"
        "${CMAKE_CURRENT_LIST_DIR}/fastangle"
        "${CMAKE_CURRENT_LIST_DIR}/thread"
        "${CMAKE_CURRENT_LIST_DIR}/clock"
        "${CMAKE_CURRENT_LIST_DIR}/stringf"
        "${CMAKE_CURRENT_LIST_DIR}/boxblur"
        "${CMAKE_CURRENT_LIST_DIR}/smart_ptr"
        "${CMAKE_CURRENT_LIST_DIR}/ref_count"
        "${CMAKE_CURRENT_LIST_DIR}/trivial"
        "${CMAKE_CURRENT_LIST_DIR}/smach"
        "${CMAKE_CURRENT_LIST_DIR}/ipc"
        "${CMAKE_CURRENT_LIST_DIR}/value"
        "${CMAKE_CURRENT_LIST_DIR}/pen"
        "${CMAKE_CURRENT_LIST_DIR}/angle"
        "${CMAKE_CURRENT_LIST_DIR}/bezier"
        "${CMAKE_CURRENT_LIST_DIR}/gaussian"
        "${CMAKE_CURRENT_LIST_DIR}/mutex"
        "${CMAKE_CURRENT_LIST_DIR}/handle"
        "${CMAKE_CURRENT_LIST_DIR}/status"
#     PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/_ref_count.h"
        "${CMAKE_CURRENT_LIST_DIR}/_mutex_win32.h"
        "${CMAKE_CURRENT_LIST_DIR}/_trivial.h"
        "${CMAKE_CURRENT_LIST_DIR}/_fastangle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_smach.h"
        "${CMAKE_CURRENT_LIST_DIR}/_rwlock.h"
        "${CMAKE_CURRENT_LIST_DIR}/_surface.h"
        "${CMAKE_CURRENT_LIST_DIR}/_smart_ptr.h"
        "${CMAKE_CURRENT_LIST_DIR}/_pen.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_thread.h"
        "${CMAKE_CURRENT_LIST_DIR}/_boxblur.h"
        "${CMAKE_CURRENT_LIST_DIR}/_rect.h"
        "${CMAKE_CURRENT_LIST_DIR}/_curve.h"
        "${CMAKE_CURRENT_LIST_DIR}/_mutex_pthreads.h"
        "${CMAKE_CURRENT_LIST_DIR}/_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_clock_base.h"
        "${CMAKE_CURRENT_LIST_DIR}/_condition.h"
        "${CMAKE_CURRENT_LIST_DIR}/_mutex_null.h"
        "${CMAKE_CURRENT_LIST_DIR}/_clock_win32hpcount.h"
        "${CMAKE_CURRENT_LIST_DIR}/_fastangle_tables.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bspline.h"
        "${CMAKE_CURRENT_LIST_DIR}/_clock_gettimeofday.h"
        "${CMAKE_CURRENT_LIST_DIR}/etl_config.h"
        "${CMAKE_CURRENT_LIST_DIR}/_stringf.h"
        "${CMAKE_CURRENT_LIST_DIR}/_calculus.h"
        "${CMAKE_CURRENT_LIST_DIR}/_random.h"
        "${CMAKE_CURRENT_LIST_DIR}/_misc.h"
        "${CMAKE_CURRENT_LIST_DIR}/_hermite.h"
        "${CMAKE_CURRENT_LIST_DIR}/_clock_system.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bit_rotate.h"
        "${CMAKE_CURRENT_LIST_DIR}/_status.h"
        "${CMAKE_CURRENT_LIST_DIR}/_fixed.h"
        "${CMAKE_CURRENT_LIST_DIR}/_mutex_pthreads_simple.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier.h"
        "${CMAKE_CURRENT_LIST_DIR}/_curve_func.h"
        "${CMAKE_CURRENT_LIST_DIR}/_value.h"
        "${CMAKE_CURRENT_LIST_DIR}/_handle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_gaussian.h"

        "${CMAKE_CURRENT_BINARY_DIR}/etl_profile.h"
)

install(
    FILES ${ETL_HEADERS}
    DESTINATION include/ETL
)

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: synfig
 Section: graphics
 Priority: optional
-Standards-Version: 4.3.0
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~), autopoint, intltool
+Build-Depends: debhelper-compat (= 12), autopoint, intltool
  ,binutils
  ,etl-dev (>= 1.2.2)
 # ,libavcodec-dev
@@ -14,12 +15,13 @@
  ,libfftw3-dev
  ,libfontconfig1-dev
  ,libfreetype6-dev
+ ,libgl1-mesa-dev
  ,libjpeg-dev
  ,libltdl-dev
+ ,libmagick++-dev
+ ,libmlt++-dev
+ ,libmlt-dev
  ,libmng-dev
- ,libmagick++-dev
- ,libmlt-dev
- ,libmlt++-dev
  ,libopenexr-dev
  ,libpango1.0-dev
  ,libpng-dev

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/synfig/synfig/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## synfig 1.2.2+dfsg

=== ETL/test/CMakeLists.txt ===
add_executable(angle angle.cpp)
add_test(test_angle angle)

add_executable(fixed fixed.cpp)
add_test(test_fixed fixed)

add_executable(clock clock.cpp)
add_test(test_clock clock)

add_executable(handle handle.cpp)
add_test(test_handle handle)

add_executable(random random.cpp)
add_test(test_random random)

add_executable(hermite hermite.cpp)
add_test(test_hermite hermite)

add_executable(stringf stringf.cpp)
add_test(test_stringf stringf)

add_executable(pen pen.cpp)
add_test(test_pen pen)

add_executable(surface surface.cpp)
add_test(test_surface surface)

add_executable(smart_ptr smart_ptr.cpp)
add_test(test_smart_ptr smart_ptr)

add_executable(benchmark benchmark.cpp)
add_test(test_benchmark benchmark)

add_executable(spline spline.cpp)
add_test(test_spline spline)

add_executable(value value.cpp)
add_test(test_value value)

=== debian/changelog ===
synfig (1.2.2+dfsg-3build2) groovy; urgency=medium

  * Rebuild against new libopenexr25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Sep 2020 17:20:59 +0200

synfig (1.2.2+dfsg-3build1) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:39:30 +0100

synfig (1.2.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * debian/patches: Apply upstream patch to fix build with icu 67 (Closes:
    #962069)
  * Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Jun 2020 23:41:58 +0200

synfig (1.2.2+dfsg-2) unstable; urgency=medium

  * Re-build to fix segfaults due to ABI breakage somewhere (Closes: #941633).
  * Build using '--with-opegl';
    Build-Depends += "libgl1-mesa-dev"
  * DH to version 12
  * "watch" file to track GitHub releases.
    SourceForge tarball is incomplete...

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 18 Dec 2019 14:52:12 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: synfig
 Section: graphics
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>

## synfig 1.4.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,35 +6,41 @@
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12), autopoint, intltool
- ,binutils
- ,etl-dev (>= 1.2.2)
-# ,libavcodec-dev
-# ,libavformat-dev
- ,libboost-all-dev
- ,libcairo-dev
- ,libfftw3-dev
- ,libfontconfig1-dev
- ,libfreetype6-dev
- ,libgl1-mesa-dev
- ,libjpeg-dev
- ,libltdl-dev
- ,libmagick++-dev
- ,libmlt++-dev
- ,libmlt-dev
- ,libmng-dev
- ,libopenexr-dev
- ,libpango1.0-dev
- ,libpng-dev
- ,libsigc++-2.0-dev
-# ,libswscale-dev
- ,libtiff-dev
- ,libxml++2.6-dev
+    ,binutils
+    ,etl-dev (>= 1.4.0~)
+    ,gcc-10,
+    ,g++-10
+    ,libavcodec-dev
+    ,libavformat-dev
+    ,libavutil-dev
+    ,libboost-all-dev
+    ,libcairo-dev
+    ,libfftw3-dev
+    ,libfontconfig1-dev
+    ,libfreetype6-dev
+    ,libgl1-mesa-dev
+    ,libglibmm-2.4-dev
+    ,libjpeg-dev
+    ,libltdl-dev
+    ,libmagick++-dev
+    ,libmlt++-dev
+    ,libmlt-dev
+    ,libmng-dev
+    ,libopenexr-dev
+    ,libpango1.0-dev
+    ,libpng-dev
+    ,libsigc++-2.0-dev
+    ,libswscale-dev
+    ,libtiff-dev
+    ,libxml++2.6-dev
 Vcs-Browser: https://salsa.debian.org/multimedia-team/synfig
 Vcs-Git: https://salsa.debian.org/multimedia-team/synfig.git
 Homepage: http://www.synfig.org/
+Rules-Requires-Root: no
 
 Package: synfig
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Suggests: synfigstudio,
@@ -49,12 +55,14 @@
 Package: libsynfig0a
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libdv-bin,
 # libav-tools,
  imagemagick
+Recommends: ${misc:Recommends}
+    ,libdv-bin
 Breaks: synfigstudio (<< 0.64.2)
 Conflicts: libsynfig0v5, libsynfig0
 Replaces: libsynfig0v5, libsynfig0
@@ -67,8 +75,22 @@
 Package: libsynfig-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libsynfig0a (= ${binary:Version}),
- etl-dev (>= 1.2.1), libxml++2.6-dev, libsigc++-2.0-dev
+Depends: ${misc:Depends} ,libsynfig0a (= ${binary:Version})
+    ,etl-dev (>= 1.4.0~)
+    ,libavcodec-dev
+    ,libavformat-dev
+    ,libavutil-dev
+    ,libcairo-dev
+    ,libfftw3-dev
+    ,libfontconfig1-dev
+    ,libfreetype6-dev
+    ,libglibmm-2.4-dev
+    ,libmlt++-dev
+    ,libopenexr-dev
+    ,libpango1.0-dev
+    ,libsigc++-2.0-dev
+    ,libswscale-dev
+    ,libxml++2.6-dev
 Description: synfig library development files
  synfig is a vector based 2D animation package. It is designed to be
  capable of producing feature-film quality animation.
@@ -78,6 +100,7 @@
 
 Package: synfig-examples
 Architecture: all
+Multi-Arch: foreign
 Suggests: synfigstudio
 Conflicts: libsynfig-doc
 Replaces: libsynfig-doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CC=gcc-10
export CXX=g++-10

%:
	dh $@ --with autoreconf --sourcedirectory=synfig-core

override_dh_autoreconf:
	dh_autoreconf
	cd synfig-core && intltoolize --force --copy

override_dh_auto_configure:
	dh_auto_configure -- \
			--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
			--sysconfdir=/etc/synfig \
			--enable-debug=half \
			--with-imagemagick \
			--without-included-ltdl
#			--with-opengl \
#			--with-libavcodec
#			--mandir=\$${prefix}/share/man \

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	## W:unknown-locale-code zh-Hant:
	$(RM) -rv $(CURDIR)/debian/tmp/usr/share/locale/zh-Hant

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_compress:
	dh_compress --exclude=.sifz

## synfig 1.4.0+dfsg

=== ETL/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ETL)

option(ENABLE_TESTS "Enable tests" OFF)

find_package(Threads)
if (CMAKE_USE_PTHREADS_INIT)
    set(HAVE_LIBPTHREAD ON)
endif()

## for tests
include_directories(${CMAKE_SOURCE_DIR})

## for test to find generated etl_profile.h
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(ETL)

if (${ENABLE_TESTS})
    enable_testing()
    add_subdirectory(test)
endif()

=== autobuild/Makefile ===

VERSION=0.61.03

COREDIR=synfig-core
STUDIODIR=synfig-studio
ETLDIR=etl

OUTPUTDIR=output

SRCPKG=Synfig.mpkg
OUTPKG=$(OUTPUTDIR)/Synfig-$(VERSION).mpkg
PKGDIR=$(OUTPKG)/Contents/Packages

SSH_USER=darco@www.bridgetone.com
SSH_DIR=~/voria/files

all: src osx package

publish:
	cd $(OUTPUTDIR) && tar c *.gz *.zip *.exe *.bz2 | ssh $(SSH_USER) "cd $(SSH_DIR) && tar xv" 

osx-pkg:
	rm -fr $(OUTPKG)
	rm -fr $(OUTPKG).zip
	cp -R $(SRCPKG) $(OUTPKG)
	cp -r $(OUTPUTDIR)/*.pkg $(PKGDIR)
	cd $(OUTPUTDIR) && zip -r Synfig-$(VERSION).mpkg.zip *.mpkg
	
core-osx:
	[ -d $(OUTPUTDIR) ] || mkdir $(OUTPUTDIR)
	rm -fr $(COREDIR)
	svn export https://svn.voria.com/code/synfig-core/trunk $(COREDIR) || exit 2
	cd $(COREDIR) && ./macosxbuild.sh
	cp -r $(COREDIR)/macosxbuild/*.pkg $(OUTPUTDIR)

studio-osx:
	[ -d $(OUTPUTDIR) ] || mkdir $(OUTPUTDIR)
	rm -fr $(STUDIODIR)
	svn export https://svn.voria.com/code/synfig-studio/trunk $(STUDIODIR) || exit 2
	cd $(STUDIODIR) && ./macosxbuild.sh
	cp -r $(STUDIODIR)/macosxbuild/*.pkg $(OUTPUTDIR)

core-w32:
	[ -d $(OUTPUTDIR) ] || mkdir $(OUTPUTDIR)
	rm -fr $(COREDIR)
	svn export https://svn.voria.com/code/synfig-core/trunk $(COREDIR) || exit 2
	cd $(COREDIR) && ./win32build.sh
	cp -r $(COREDIR)/win32build/*.exe $(OUTPUTDIR)

studio-w32:
	[ -d $(OUTPUTDIR) ] || mkdir $(OUTPUTDIR)
	rm -fr $(STUDIODIR)
	svn export https://svn.voria.com/code/synfig-studio/trunk $(STUDIODIR) || exit 2
	cd $(STUDIODIR) && ./win32build.sh
	cp -r $(STUDIODIR)/win32build/*.exe $(OUTPUTDIR)

core-src:
	[ -d $(OUTPUTDIR) ] || mkdir $(OUTPUTDIR)
	rm -fr $(COREDIR)
	svn export https://svn.voria.com/code/synfig-core/trunk $(COREDIR) || exit 2
	cd $(COREDIR) && libtoolize --ltdl --copy --force && autoreconf --force --install && ./configure
	make -C $(COREDIR) dist
	cp -r $(COREDIR)/*.gz $(OUTPUTDIR)

studio-src:
	[ -d $(OUTPUTDIR) ] || mkdir $(OUTPUTDIR)
	rm -fr $(STUDIODIR)
	svn export https://svn.voria.com/code/synfig-studio/trunk $(STUDIODIR) || exit 2
	cd $(STUDIODIR) && autoreconf --force --install && ./configure
	make -C $(STUDIODIR) dist
	cp -r $(STUDIODIR)/*.gz $(OUTPUTDIR)

etl-src:
	[ -d $(OUTPUTDIR) ] || mkdir $(OUTPUTDIR)
	rm -fr $(ETLDIR)
	svn export https://svn.voria.com/code/ETL/trunk $(ETLDIR) || exit 2
	cd $(ETLDIR) && autoreconf --force --install && ./configure
	make -C $(ETLDIR) dist
	cp -r $(ETLDIR)/*.gz $(OUTPUTDIR)

src: etl-src core-src studio-src

osx: core-osx studio-osx

w32: core-w32 studio-w32

clean:
	rm -fr $(COREDIR)
	rm -fr $(STUDIODIR)
	rm -fr $(ETLDIR)
	rm -fr $(OUTPUTDIR)

=== ETL/ETL/CMakeLists.txt ===
## TODO: install headers properly

configure_file(
    etl_profile.h.cmake.in
    ${PROJECT_BINARY_DIR}/ETL/etl_profile.h
)

set(ETL_HEADERS
        "${CMAKE_CURRENT_LIST_DIR}/rect"
        "${CMAKE_CURRENT_LIST_DIR}/calculus"
        "${CMAKE_CURRENT_LIST_DIR}/spline"
        "${CMAKE_CURRENT_LIST_DIR}/misc"
        "${CMAKE_CURRENT_LIST_DIR}/hermite"
        "${CMAKE_CURRENT_LIST_DIR}/fixed"
        "${CMAKE_CURRENT_LIST_DIR}/surface"
        "${CMAKE_CURRENT_LIST_DIR}/clock"
        "${CMAKE_CURRENT_LIST_DIR}/stringf"
        "${CMAKE_CURRENT_LIST_DIR}/boxblur"
        "${CMAKE_CURRENT_LIST_DIR}/smart_ptr"
        "${CMAKE_CURRENT_LIST_DIR}/ref_count"
        "${CMAKE_CURRENT_LIST_DIR}/trivial"
        "${CMAKE_CURRENT_LIST_DIR}/smach"
        "${CMAKE_CURRENT_LIST_DIR}/pen"
        "${CMAKE_CURRENT_LIST_DIR}/angle"
        "${CMAKE_CURRENT_LIST_DIR}/bezier"
        "${CMAKE_CURRENT_LIST_DIR}/gaussian"
        "${CMAKE_CURRENT_LIST_DIR}/handle"
#     PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/_ref_count.h"
        "${CMAKE_CURRENT_LIST_DIR}/_trivial.h"
        "${CMAKE_CURRENT_LIST_DIR}/_smach.h"
        "${CMAKE_CURRENT_LIST_DIR}/_surface.h"
        "${CMAKE_CURRENT_LIST_DIR}/_smart_ptr.h"
        "${CMAKE_CURRENT_LIST_DIR}/_pen.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_boxblur.h"
        "${CMAKE_CURRENT_LIST_DIR}/_rect.h"
        "${CMAKE_CURRENT_LIST_DIR}/_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_clock_base.h"
        "${CMAKE_CURRENT_LIST_DIR}/_clock_win32hpcount.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bspline.h"
        "${CMAKE_CURRENT_LIST_DIR}/_clock_gettimeofday.h"
        "${CMAKE_CURRENT_LIST_DIR}/etl_config.h"
        "${CMAKE_CURRENT_LIST_DIR}/_stringf.h"
        "${CMAKE_CURRENT_LIST_DIR}/_calculus.h"
        "${CMAKE_CURRENT_LIST_DIR}/_misc.h"
        "${CMAKE_CURRENT_LIST_DIR}/_hermite.h"
        "${CMAKE_CURRENT_LIST_DIR}/_clock_system.h"
        "${CMAKE_CURRENT_LIST_DIR}/_fixed.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier.h"
        "${CMAKE_CURRENT_LIST_DIR}/_curve_func.h"
        "${CMAKE_CURRENT_LIST_DIR}/_handle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_gaussian.h"

# autogenerated
        "${PROJECT_BINARY_DIR}/ETL/etl_profile.h" 
)

install(
    FILES ${ETL_HEADERS}
    DESTINATION include/ETL
)

=== ETL/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,8 @@
+# for test to find generated etl_profile.h
+include_directories(${PROJECT_BINARY_DIR})
+
+include_directories(${PROJECT_SOURCE_DIR})
+
 add_executable(angle angle.cpp)
 add_test(test_angle angle)
 
@@ -9,9 +14,6 @@
 
 add_executable(handle handle.cpp)
 add_test(test_handle handle)
-
-add_executable(random random.cpp)
-add_test(test_random random)
 
 add_executable(hermite hermite.cpp)
 add_test(test_hermite hermite)
@@ -34,5 +36,3 @@
 add_executable(spline spline.cpp)
 add_test(test_spline spline)
 
-add_executable(value value.cpp)
-add_test(test_value value)

=== debian/changelog ===
synfig (1.4.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dmitry Smirnov ]
  * relax to recommend (not depend on) libdv-bin;
    closes: bug#980418, thanks to Helmut Grohne

  [ Jonas Smedegaard ]
  * add patch cherry-picked upstream to support MLT++-7 in autotools;
    closes: bug#993832, thanks to Adrian Bunk and peter green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Sep 2021 14:09:28 +0200

synfig (1.4.0+dfsg-2) unstable; urgency=medium

  * dev: added missing dependencies.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Jan 2021 17:21:12 +1100

synfig (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * No longer build with '--with-opengl' due to FTBFS.
  * Marked synfig "Multi-Arch: foreign" (Closes: #921142).
    Thanks, Helmut Grohne.
  * Rules-Requires-Root: no
  * rules: removed "--as-needed".
  * Build-Depends:
    + libavcodec-dev
    + libavformat-dev
    + libavutil-dev
    + libswscale-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 22:58:48 +1100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,11 @@
 Section: graphics
 Priority: optional
 Standards-Version: 4.5.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12), autopoint, intltool
     ,binutils
     ,etl-dev (>= 1.4.0~)
-    ,gcc-10,
-    ,g++-10
     ,libavcodec-dev
     ,libavformat-dev
     ,libavutil-dev
